package com.opticon.wedge;

import androidx.appcompat.app.AppCompatActivity;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    MyReceiver receiver;
    IntentFilter filter;
    private TextView barcode;
    private TextView symbology;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        barcode = (TextView) findViewById(R.id.textView1);
        symbology = (TextView) findViewById(R.id.textView2);
        filter = new IntentFilter("com.opticon.decode.action");
        filter.addCategory("com.opticon.decode.category");
        receiver = new MyReceiver()
        {
            @Override
            public void onReceive(Context context, Intent intent)
            {
                Toast.makeText(getApplicationContext(),intent.toString(),Toast.LENGTH_SHORT).show();
                barcode.setText(intent.getStringExtra("com.opticon.decode.barcode_data"));
                symbology.setText(intent.getStringExtra("com.opticon.decode.barcode_type"));
            }
        };
    }

    @Override
    protected void onResume() {
        super.onResume();
        registerReceiver(receiver, filter);
    }

    @Override
    protected void onPause() {
        super.onPause();
        unregisterReceiver(receiver);
    }

    public class MyReceiver extends BroadcastReceiver {
        @Override
        public void onReceive(Context context, Intent intent) {

        }
    }
}