﻿using Android.App;
using Android.OS;
using Android.Support.V7.App;
using Android.Runtime;
using Android.Widget;
using Android.Content;

namespace H35_intent_sample
{
    [Activity(Label = "@string/app_name", Theme = "@style/AppTheme", MainLauncher = true)]
  
    public class MainActivity : AppCompatActivity
    {
        public static TextView barcode;
        public static TextView symbology;
        ScanReceiver receiver;        
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.activity_main);
            barcode = FindViewById<TextView>(Resource.Id.textView2);
            symbology = FindViewById<TextView>(Resource.Id.textView4);
        }

        protected override void OnResume()
        {
            base.OnResume();
            IntentFilter filter = new IntentFilter("com.opticon.decode.action");
            filter.AddCategory("com.opticon.decode.category");
            receiver = new ScanReceiver();
            RegisterReceiver(receiver, filter);
        }

        protected override void OnPause()
        {
            UnregisterReceiver(receiver);
            base.OnPause();
        }

        [BroadcastReceiver]
        public class ScanReceiver : BroadcastReceiver
        {
            public override void OnReceive(Context context, Intent i)
            {
                barcode.Text = i.GetStringExtra("com.opticon.decode.barcode_data");
                symbology.Text = i.GetStringExtra("com.opticon.decode.barcode_type");
            }
        }
    }
}